com.amazonaws.services.cloudfront.model

## Class InvalidationSummary

- java.lang.Object
- - com.amazonaws.services.cloudfront.model.InvalidationSummary

All Implemented Interfaces:
  Serializable, Cloneable

    public class InvalidationSummary
    extends Object
    implements Serializable, Cloneable

A summary of an invalidation request.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`InvalidationSummary()`

### Method Summary

All Methods Instance Methods Concrete Methods
`InvalidationSummary` `clone()`
`boolean` `equals(Object obj)`
`Date` `getCreateTime()`
`String` `getId()` The unique ID for an invalidation request.
`String` `getStatus()` The status of an invalidation request.
`int` `hashCode()`
`void` `setCreateTime(Date createTime)`
`void` `setId(String id)` The unique ID for an invalidation request.
`void` `setStatus(String status)` The status of an invalidation request.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`InvalidationSummary` `withCreateTime(Date createTime)`
`InvalidationSummary` `withId(String id)` The unique ID for an invalidation request.
`InvalidationSummary` `withStatus(String status)` The status of an invalidation request.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### InvalidationSummary

    public InvalidationSummary()

### Method Detail

#### setId

    public void setId(String id)

The unique ID for an invalidation request.

Parameters:
  `id` - The unique ID for an invalidation request.

#### getId

    public String getId()

The unique ID for an invalidation request.

Returns:
  The unique ID for an invalidation request.

#### withId

    public InvalidationSummary withId(String id)

The unique ID for an invalidation request.

Parameters:
  `id` - The unique ID for an invalidation request.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setCreateTime

    public void setCreateTime(Date createTime)

Parameters:
  `createTime` -

#### getCreateTime

    public Date getCreateTime()

Returns:

#### withCreateTime

    public InvalidationSummary withCreateTime(Date createTime)

Parameters:
  `createTime` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setStatus

    public void setStatus(String status)

The status of an invalidation request.

Parameters:
  `status` - The status of an invalidation request.

#### getStatus

    public String getStatus()

The status of an invalidation request.

Returns:
  The status of an invalidation request.

#### withStatus

    public InvalidationSummary withStatus(String status)

The status of an invalidation request.

Parameters:
  `status` - The status of an invalidation request.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public InvalidationSummary clone()

Overrides:
  `clone` in class `Object`